Index: lib/TWiki/Store/RcsLite.pm
===================================================================
--- lib/TWiki/Store/RcsLite.pm	(revision 1767)
+++ lib/TWiki/Store/RcsLite.pm	(working copy)
@@ -15,8 +15,6 @@
 # http://www.gnu.org/copyleft/gpl.html
 #
 #
-# Functions used by both Rcs and RcsFile - they both inherit from this Class
-#
 # Simple interface to RCS.  Doesn't support:
 #    branches
 #    locking
@@ -50,7 +48,7 @@
 use FileHandle;
 use TWiki;
 
-TWiki::writeDebug("Diff version $Algorithm::Diff::VERSION\n");
+#TWiki::writeDebug("Diff version $Algorithm::Diff::VERSION\n");
 
 my $DIFF_DEBUG = 0;
 my $DIFFEND_DEBUG = 0;
@@ -60,7 +58,7 @@
 
 ---++ sub new (  $proto, $web, $topic, $attachment, %settings  )
 
-Not yet documented.
+Construct new file
 
 =cut to implementation
 
@@ -75,22 +73,6 @@
    return $self;
 }
 
-# ======================
-=pod
-
----++ sub _trace ()
-
-Not yet documented.
-
-=cut to implementation
-
-sub _trace
-{
-#   my( $text ) = @_;
-#   TWiki::writeDebug( "RcsLite $text" );
-}
-
-
 # Process an RCS file
 
 # File format information:
@@ -141,14 +123,6 @@
 # of RCS files. No newphrase will begin with any keyword already in use. 
 
 # ======================
-=pod
-
----++ sub _readTo (  $file, $char  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _readTo
 {
     my( $file, $char ) = @_;
@@ -205,14 +179,6 @@
 
 # ======================
 # Called by routines that must make sure RCS file has been read in
-=pod
-
----++ sub _ensureProcessed (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _ensureProcessed
 {
     my( $self ) = @_;
@@ -223,14 +189,6 @@
 
 # ======================
 # Read in the whole RCS file
-=pod
-
----++ sub _process (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _process
 {
     my( $self ) = @_;
@@ -356,14 +314,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _formatString (  $str  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _formatString
 {
     my( $str ) = @_;
@@ -373,14 +323,6 @@
 
 # ======================
 # Write content of the RCS file
-=pod
-
----++ sub _write (  $self, $file  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _write
 {
     my( $self, $file ) = @_;
@@ -415,14 +357,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _binaryChange (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _binaryChange
 {
    my( $self ) = @_;
@@ -436,7 +370,7 @@
 
 ---++ sub numRevisions (  $self  )
 
-Not yet documented.
+Get number of revs
 
 =cut to implementation
 
@@ -468,7 +402,7 @@
 
 ---++ sub comment (  $self  )
 
-Not yet documented.
+Get the comment
 
 =cut to implementation
 
@@ -484,7 +418,6 @@
 
 ---++ sub date (  $self, $version  )
 
-Not yet documented.
 | $date | in epoch seconds |
 
 =cut to implementation
@@ -507,7 +440,7 @@
 
 ---++ sub description (  $self  )
 
-Not yet documented.
+Get description
 
 =cut to implementation
 
@@ -523,7 +456,7 @@
 
 ---++ sub author (  $self, $version  )
 
-Not yet documented.
+Get author
 
 =cut to implementation
 
@@ -539,7 +472,7 @@
 
 ---++ sub log (  $self, $version  )
 
-Not yet documented.
+Get log
 
 =cut to implementation
 
@@ -555,7 +488,7 @@
 
 ---++ sub delta (  $self, $version  )
 
-Not yet documented.
+get delta to rev
 
 =cut to implementation
 
@@ -571,7 +504,6 @@
 
 ---++ sub addRevision (  $self, $text, $log, $author, $date  )
 
-Not yet documented.
 | $date | in epoch seconds |
 
 =cut to implementation
@@ -579,7 +511,6 @@
 sub addRevision
 {
     my( $self, $text, $log, $author, $date ) = @_;
-    _trace( "::addRevision date=\"$date\"" );
     $self->_ensureProcessed();
     
     $self->_save( $self->file(), \$text );
@@ -602,21 +533,12 @@
 #    $date = TWiki::Store::RcsFile::_epochToRcsDateTime( $date );
 
 
-    _trace("::addRevision date now=\"$date\"" );
     ${$self->{"date"}}[$head] = $date;
 
     return $self->_writeMe();
 }
 
 # ======================
-=pod
-
----++ sub _writeMe (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _writeMe
 {
     my( $self ) = @_;
@@ -640,9 +562,8 @@
 
 ---++ sub replaceRevision (  $self, $text, $comment, $user, $date  )
 
-Not yet documented.
-# Replace the top revision
-# Return non empty string with error message if there is a problem
+Replace the top revision
+Return non empty string with error message if there is a problem
 | $date | is on epoch seconds |
 
 =cut to implementation
@@ -650,19 +571,17 @@
 sub replaceRevision
 {
     my( $self, $text, $comment, $user, $date ) = @_;
-    _trace( "::replaceRevision date=\"$date\"" );
     $self->_ensureProcessed();
     $self->_delLastRevision();
     $self->addRevision( $text, $comment, $user, $date );    
 }
 
 # ======================
-# Delete the last revision - do nothing if there is only one revision
 =pod
 
 ---++ sub deleteRevision (  $self  )
 
-Not yet documented.
+Delete the last revision - do nothing if there is only one revision
 
 =cut to implementation
 
@@ -676,14 +595,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _delLastRevision (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _delLastRevision
 {
     my( $self ) = @_;
@@ -703,8 +614,6 @@
 =pod
 
 ---++ sub revisionDiff (  $self, $rev1, $rev2, $contextLines  )
-
-Not yet documented.
 | TODO: | so why does this read the rcs file, re-create each of the 2 revisions and then diff them? isn't the delta in the rcs file good enough? (until you want context?) |
 =cut to implementation
 
@@ -761,7 +670,7 @@
 
 ---++ sub getRevision (  $self, $version  )
 
-Not yet documented.
+Get a rev
 
 =cut to implementation
 
@@ -780,13 +689,12 @@
 }
 
 # ======================
-# If revision file is missing, information based on actual file is returned.
-# Date is in epoch based seconds
 =pod
 
 ---++ sub getRevisionInfo (  $self, $version  )
 
-Not yet documented.
+If revision file is missing, information based on actual file is returned.
+Date is in epoch based seconds
 
 =cut to implementation
 
@@ -815,14 +723,6 @@
 # is patched to produce text for revision x-1.
 # It is fiddly dealing with differences in number of line breaks after the end of the
 # text.
-=pod
-
----++ sub _patch (  $text, $delta  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _patch
 {
    # Both params are references to arrays
@@ -867,14 +767,6 @@
 
 
 # ======================
-=pod
-
----++ sub _patchN (  $self, $text, $version, $target  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _patchN
 {
     my( $self, $text, $version, $target ) = @_;
@@ -891,14 +783,6 @@
 
 # ======================
 # Split and make sure we have trailing carriage returns
-=pod
-
----++ sub _mySplit (  $text, $addEntries  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _mySplit
 {
     my( $text, $addEntries ) = @_;
@@ -938,14 +822,6 @@
 
 # ======================
 # Way of dealing with trailing \ns feels clumsy
-=pod
-
----++ sub _diffText (  $new, $old, $type, $contextLines  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _diffText
 {
     my( $new, $old, $type, $contextLines ) = @_;
@@ -956,14 +832,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _lastNoEmptyItem (  $items  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _lastNoEmptyItem
 {
    my( $items ) = @_;
@@ -981,14 +849,6 @@
 
 # ======================
 # Deal with trailing carriage returns - Algorithm doesn't give output that RCS format is too happy with
-=pod
-
----++ sub _diffEnd (  $new, $old, $type  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _diffEnd
 {
    my( $new, $old, $type ) = @_;
@@ -1026,16 +886,6 @@
 
 # ======================
 # no type means diff for putting in rcs file, diff means normal diff output
-=pod
-
----++ sub _diff (  $new, $old, $type, $contextLines  )
-
-Not yet documented.
-
-TODO need to add functionality to use $contextLines
-
-=cut to implementation
-
 sub _diff
 {
     my( $new, $old, $type, $contextLines ) = @_;
@@ -1114,14 +964,6 @@
 
 
 # ======================
-=pod
-
----++ sub _range (  $start, $end  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _range
 {
    my( $start, $end ) = @_;
@@ -1133,14 +975,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _addChunk (  $chunkSign, $out, $lines, $start, $adj, $type, $start1, $last, $newLines  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _addChunk
 {
    my( $chunkSign, $out, $lines, $start, $adj, $type, $start1, $last, $newLines ) = @_;
@@ -1193,22 +1027,4 @@
    return $nLines;
 }
 
-
-
-# ======================
-=pod
-
----++ sub validTo (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
-sub validTo
-{
-    my( $self ) = @_;
-    $self->_ensureProcessed();
-    return $self->{"status"};
-}
-
 1;
Index: lib/TWiki/Store/RcsFile.pm
===================================================================
--- lib/TWiki/Store/RcsFile.pm	(revision 1767)
+++ lib/TWiki/Store/RcsFile.pm	(working copy)
@@ -32,6 +32,7 @@
 
 use File::Copy;
 use File::Spec;
+use Time::Local;	# Added for revDate2EpSecs
 
 # ======================
 =pod
@@ -59,14 +60,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _init (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _init
 {
    my( $self ) = @_;
@@ -113,14 +106,6 @@
 
 # ======================
 # Psuedo revision information - useful when there is no revision file
-=pod
-
----++ sub _getRevisionInfoDefault (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _getRevisionInfoDefault
 {
     my( $self ) = @_;
@@ -129,13 +114,12 @@
 }
 
 # ======================
-# Get the timestamp of the topic file
-# Returns 0 if no file, otherwise epoch seconds
 =pod
 
 ---++ sub getTimestamp (  $self  )
 
-Not yet documented.
+Get the timestamp of the topic file
+Returns 0 if no file, otherwise epoch seconds
 
 =cut to implementation
 
@@ -150,7 +134,6 @@
     return $date;
 }
 
-
 # ======================
 =pod
 
@@ -194,14 +177,6 @@
 # =========================
 # Move/rename a topic, allow for transfer between Webs
 # It is the responsibility of the caller to check: exstance webs & topics, lock taken for topic
-=pod
-
----++ sub _moveTopic (  $self, $newWeb, $newTopic  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _moveTopic
 {
    my( $self, $newWeb, $newTopic ) = @_;
@@ -258,14 +233,6 @@
 # If there is a problem an error string is returned.
 # The caller to this routine should check that all topics are valid and
 # do lock on the topics.
-=pod
-
----++ sub _moveAttachment (  $self, $newWeb, $newTopic  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _moveAttachment
 {
     my( $self, $newWeb, $newTopic ) = @_;
@@ -323,14 +290,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _epochToRcsDateTime (  $dateTime  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _epochToRcsDateTime
 {
    my( $dateTime ) = @_;
@@ -343,32 +302,16 @@
 
 # ======================
 # Suitable for rcs format stored in files (and that returned by rcs executables ???)
-=pod
-
----++ sub _rcsDateTimeToEpoch (  $rcsDate  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _rcsDateTimeToEpoch
 {
     my( $rcsDate ) = @_;    
-    return TWiki::revDate2EpSecs( $rcsDate );
+    return revDate2EpSecs( $rcsDate );
 }
 
 # =========================
 # Get rid a topic and its attachments completely
 # Intended for TEST purposes.
 # Use with GREAT CARE as file will be gone, including RCS history
-=pod
-
----++ sub _delete (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _delete
 {
    my( $self ) = @_;
@@ -423,13 +366,12 @@
 }
 
 # ======================
-# Delete topic or attachment and history
-# Main use - unit testing
 =pod
 
 ---++ sub delete (  $self  )
 
-Not yet documented.
+Delete topic or attachment and history
+Main use - unit testing
 
 =cut to implementation
 
@@ -498,14 +440,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _settings (  $self, %settings  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _settings
 {
     my( $self, %settings ) = @_;
@@ -574,14 +508,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _warn (  $self, $message  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _warn
 {
     my( $self, $message ) = @_;
@@ -593,7 +519,7 @@
 
 ---++ sub setLock (  $self, $lock, $userName  )
 
-Not yet documented.
+Set a twiki lock on the topic
 
 =cut to implementation
 
@@ -613,14 +539,6 @@
 }
 
 # =========================
-=pod
-
----++ sub _saveAttachment (  $self, $theTmpFilename  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _saveAttachment
 {
     my( $self, $theTmpFilename ) = @_;
@@ -649,14 +567,6 @@
 
 # ======================
 # This is really saveTopic
-=pod
-
----++ sub _saveFile (  $self, $name, $text  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _saveFile
 {
     my( $self, $name, $text ) = @_;
@@ -674,14 +584,6 @@
 # ======================
 # Deal differently with topics and attachments
 # text is a reference for efficiency
-=pod
-
----++ sub _save (  $self, $filename, $text  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _save
 {
     my( $self, $filename, $text ) = @_;
@@ -695,14 +597,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _readFile (  $self, $name  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _readFile
 {
     my( $self, $name ) = @_;
@@ -728,14 +622,6 @@
 # If $attachment
 #    blank         - attachment file
 #    ,v            - attachment history file
-=pod
-
----++ sub _makeFileName (  $self, $extension  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _makeFileName
 {
    my( $self, $extension ) = @_;
@@ -787,14 +673,6 @@
 # Get directory that topic or attachment lives in
 #    Leave topic blank if you want the web directory rather than the topic directory
 #    should simply this with _makeFileName
-=pod
-
----++ sub _makeFileDir (  $self, $attachment, $extension )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _makeFileDir
 {
    my( $self, $attachment, $extension) = @_;
@@ -831,14 +709,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _makePubWebDir (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _makePubWebDir
 {
     my( $self ) = @_;
@@ -851,14 +721,6 @@
     return $dir;
 }
 
-=pod
-
----++ sub _mkTmpFilename ()
-
-Not yet documented.
-
-=cut to implementation
-
 sub _mkTmpFilename
 {
     my $tmpdir = File::Spec->tmpdir();
@@ -867,14 +729,6 @@
 }
 
 # Adapted from CPAN - File::MkTemp
-=pod
-
----++ sub _mktemp ( $template,$dir,$ext,$keepgen,$lookup )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _mktemp {
    my ($template,$dir,$ext,$keepgen,$lookup);
    my (@template,@letters);
@@ -920,4 +774,67 @@
    return($template);
 }
 
+my %mon2num;
+
+{ 
+    my $count = 0;
+    %mon2num = map { $_ => $count++ } @TWiki::isoMonth; 
+}
+
+# =========================
+=pod
+
+---++ sub revDate2EpSecs ()
+
+Convert RCS revision date/time to seconds since epoch, for easier sorting 
+
+=cut
+
+sub revDate2EpSecs
+{
+    my( $date ) = @_;
+    # NOTE: This routine *will break* if input is not one of below formats!
+    
+    # FIXME - why aren't ifs around pattern match rather than $5 etc
+    # try "31 Dec 2001 - 23:59"  (TWiki date)
+    if ($date =~ /([0-9]+)\s+([A-Za-z]+)\s+([0-9]+)[\s\-]+([0-9]+)\:([0-9]+)/) {
+        my $year = $3;
+        $year -= 1900 if( $year > 1900 );
+        return timegm( 0, $5, $4, $1, $mon2num{$2}, $year );
+    }
+
+    # try "2001/12/31 23:59:59" or "2001.12.31.23.59.59" (RCS date)
+    if ($date =~ /([0-9]+)[\.\/\-]([0-9]+)[\.\/\-]([0-9]+)[\.\s\-]+([0-9]+)[\.\:]([0-9]+)[\.\:]([0-9]+)/) {
+        my $year = $1;
+        $year -= 1900 if( $year > 1900 );
+        return timegm( $6, $5, $4, $3, $2-1, $year );
+    }
+
+    # try "2001/12/31 23:59" or "2001.12.31.23.59" (RCS short date)
+    if ($date =~ /([0-9]+)[\.\/\-]([0-9]+)[\.\/\-]([0-9]+)[\.\s\-]+([0-9]+)[\.\:]([0-9]+)/) {
+        my $year = $1;
+        $year -= 1900 if( $year > 1900 );
+        return timegm( 0, $5, $4, $3, $2-1, $year );
+    }
+
+    # try "2001-12-31T23:59:59Z" or "2001-12-31T23:59:59+01:00" (ISO date)
+    # FIXME: Calc local to zulu time "2001-12-31T23:59:59+01:00"
+    if ($date =~ /([0-9]+)\-([0-9]+)\-([0-9]+)T([0-9]+)\:([0-9]+)\:([0-9]+)/ ) {
+        my $year = $1;
+        $year -= 1900 if( $year > 1900 );
+        return timegm( $6, $5, $4, $3, $2-1, $year );
+    }
+
+    # try "2001-12-31T23:59Z" or "2001-12-31T23:59+01:00" (ISO short date)
+    # FIXME: Calc local to zulu time "2001-12-31T23:59+01:00"
+    if ($date =~ /([0-9]+)\-([0-9]+)\-([0-9]+)T([0-9]+)\:([0-9]+)/ ) {
+        my $year = $1;
+        $year -= 1900 if( $year > 1900 );
+        return timegm( 0, $5, $4, $3, $2-1, $year );
+    }
+
+    # give up, return start of epoch (01 Jan 1970 GMT)
+    return 0;
+}
+
 1;
Index: lib/TWiki/Store/RcsWrap.pm
===================================================================
--- lib/TWiki/Store/RcsWrap.pm	(revision 1767)
+++ lib/TWiki/Store/RcsWrap.pm	(working copy)
@@ -56,15 +56,6 @@
 # attachAsciiPath         Defines which attachments will be automatically treated as ASCII in RCS
 # dirPermission           File security for new directories
 
-# ======================
-=pod
-
----++ sub new (  $proto, $web, $topic, $attachment, %settings  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub new
 {
    my( $proto, $web, $topic, $attachment, %settings ) = @_;
@@ -76,15 +67,6 @@
    return $self;
 }
 
-# ======================
-=pod
-
----++ sub _settings (  $self, %settings  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _settings
 {
     my( $self, %settings ) = @_;
@@ -106,52 +88,20 @@
 #TODO set from TWiki.cfg
 my $cmdQuote = "'";
 
-# ======================
-=pod
+# Remember to uncomment the calls as well
+#sub _traceExec
+#{
+#    my( $cmd, $string, $exit ) = @_;
+#    if( $exit ) {
+#        $exit = " Error: $exit";
+#    } else {
+#        $exit = "";
+#    }
+#    TWiki::writeDebug( "Rcs: $cmd($exit): $string\n" );
+#}
 
----++ sub _trace ()
-
-Not yet documented.
-
-=cut to implementation
-
-sub _trace
-{
-   #my( $text ) = @_;
-   #print $text;
-}
-
 # ======================
-=pod
-
----++ sub _traceExec ()
-
-Not yet documented.
-
-=cut to implementation
-
-sub _traceExec
-{
-   #my( $cmd, $string, $exit ) = @_;
-   #if( $exit ) {
-   #    $exit = " Error: $exit";
-   #} else {
-   #    $exit = "";
-   #}
-   #TWiki::writeDebug( "Rcs: $cmd($exit): $string\n" );
-}
-
-
-# ======================
 # Returns false if okay, otherwise an error string
-=pod
-
----++ sub _binaryChange (  $self  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _binaryChange
 {
     my( $self ) = @_;
@@ -164,7 +114,7 @@
         $cmd = "$1";       # safe, so untaint variable
         my $rcsOutput = `$cmd`;
         my $exit = $? >> 8;
-        _traceExec( $cmd, $rcsOutput, $exit );
+        #_traceExec( $cmd, $rcsOutput, $exit );
         if( $exit && $rcsOutput ) {
            $rcsOutput = "$cmd\n$rcsOutput";
            return $rcsOutput;
@@ -183,15 +133,14 @@
 
 ---++ sub addRevision (  $self, $text, $comment, $userName  )
 
-Not yet documented.
+Add new revision. Replace file (if exists) with text
 
-=cut to implementation
+=cut
 
 sub addRevision
 {
     my( $self, $text, $comment, $userName ) = @_;
     
-    # Replace file (if exists) with text
     $self->_save( $self->file(), \$text );
     return $self->_ci( $self->file(), $comment, $userName );
 }
@@ -201,12 +150,11 @@
 
 ---++ sub replaceRevision (  $self, $text, $comment, $user, $date  )
 
-Not yet documented.
-# Replace the top revision
-# Return non empty string with error message if there is a problem
+Replace the top revision
+Return non empty string with error message if there is a problem
 | $date | is on epoch seconds |
 
-=cut to implementation
+=cut
 
 sub replaceRevision
 {
@@ -237,7 +185,7 @@
     $cmd = $1;       # safe, so untaint variable
     $rcsOut = `$cmd`;
     my $exit = $? >> 8;
-    _traceExec( $cmd, $rcsOut, $exit );
+    #_traceExec( $cmd, $rcsOut, $exit );
     #$rcsOut =~ s/^Warning\: missing newline.*//os; # forget warning
     if( $exit ) {
         $rcsOut = "$cmd\n$rcsOut";
@@ -247,14 +195,13 @@
 }
 
 # ======================
-# Return with empty string if only one revision
 =pod
 
 ---++ sub deleteRevision (  $self  )
 
-Not yet documented.
+Return with empty string if only one revision
 
-=cut to implementation
+=cut
 
 sub deleteRevision
 {
@@ -265,14 +212,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _deleteRevision (  $self, $rev  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _deleteRevision
 {
     my( $self, $rev ) = @_;
@@ -286,7 +225,7 @@
     $cmd = $1;       # safe, so untaint
     my $rcsOut = `$cmd`; # capture stderr
     my $exit = $? >> 8;
-    _traceExec( $cmd, $rcsOut, $exit );
+    #_traceExec( $cmd, $rcsOut, $exit );
     #$rcsOut =~ s/^Warning\: missing newline.*//os; # forget warning
     if( $exit ) {
         $rcsOut = "$cmd\n$rcsOut";
@@ -299,7 +238,7 @@
     $cmd = $1;       # safe, so untaint variable
     $rcsOut = `$cmd`;
     $exit = $? >> 8;
-    _traceExec( $cmd, $rcsOut, $exit );
+    #_traceExec( $cmd, $rcsOut, $exit );
     #$rcsOut =~ s/^Warning\: missing newline.*//os; # forget warning
     if( $exit ) {
         $rcsOut = "$cmd\n$rcsOut";
@@ -311,7 +250,7 @@
     $cmd =~ /(.*)/;
     $cmd = $1;       # safe, so untaint variable
     $rcsOut = `$cmd`;
-    _traceExec( $cmd, $rcsOut, $exit );
+    #_traceExec( $cmd, $rcsOut, $exit );
     #$rcsOut =~ s/^Warning\: missing newline.*//os; # forget warning
     if( $exit ) {
         $rcsOut = "$cmd\n$rcsOut";
@@ -324,9 +263,9 @@
 
 ---++ sub getRevision (  $self, $version  )
 
-Not yet documented.
+Get the text for a given revision
 
-=cut to implementation
+=cut
 
 sub getRevision
 {
@@ -348,7 +287,7 @@
         $cmd1 =~ /(.*)/;
         $cmd1 = "$1";
         my $tmp = `$cmd1`;
-        _traceExec( $cmd1, $tmp );
+        #_traceExec( $cmd1, $tmp );
         $file = $tmpfile;
         $cmd =~ s/-p%REVISION%/-r%REVISION%/;
     }    
@@ -366,7 +305,7 @@
         $tmpRevFile = "$1"; # untaint		
         unlink $tmpRevFile;
     }
-    _traceExec( $cmd, $text );
+    #_traceExec( $cmd, $text );
     return $text;
 }
 
@@ -375,9 +314,9 @@
 
 ---++ sub numRevisions (  $self  )
 
-Not yet documented.
+Find out how many.
 
-=cut to implementation
+=cut
 
 sub numRevisions
 {
@@ -392,7 +331,7 @@
     $cmd =~ /(.*)/;
     $cmd = $1;       # now safe, so untaint variable
     my $rcsOutput = `$cmd`;
-    _traceExec( $cmd, $rcsOutput );
+    #_traceExec( $cmd, $rcsOutput );
     if( $rcsOutput =~ /head:\s+\d+\.(\d+)\n/ ) {
         return $1;
     } else {
@@ -406,11 +345,10 @@
 ---++ sub getRevisionInfo (  $self, $version  )
 
 | FIXME | there is an inconguity here. if you ask for a revisino that does not exist, getRevisionInfo gives you 1.1, but readTopic gives you the last version |
-Not yet documented.
 # Date return in epoch seconds
 # If revision file is missing, information based on actual file is returned.
 
-=cut to implementation
+=cut
 
 sub getRevisionInfo
 {
@@ -438,7 +376,7 @@
        $cmd =~ /(.*)/; $cmd = $1;       # Untaint
        my $rcsOut = `$cmd`;
        my $exit = $? >> 8;
-       _traceExec( $cmd, $cmd, $exit );
+       #_traceExec( $cmd, $cmd, $exit );
        $rcsError = "Error with $cmd, output: $rcsOut" if( $exit );
        if( ! $rcsError ) {
             $rcsOut =~ /date: (.*?);  author: (.*?);.*\n(.*)\n/;
@@ -460,15 +398,14 @@
 }
 
 # ======================
-# rev2 newer than rev1
 =pod
 
 ---++ sub revisionDiff (  $self, $rev1, $rev2, $contextLines  )
+# rev2 newer than rev1
 
-Not yet documented.
 | Return: =\@diffArray= | reference to an array of [ diffType, $right, $left ] |
 
-=cut to implementation
+=cut
 
 sub revisionDiff
 {
@@ -496,8 +433,7 @@
         $tmp = `$cmd`;
         my $exit = $? >> 8;
         $error = "Error $exit when runing $cmd";
-        _traceExec( $cmd, $tmp, $exit );       
-        _trace( "and now $tmp" );
+        #_traceExec( $cmd, $tmp, $exit );
         # Avoid showing change in revision number!
         # I'm not too happy with this implementation, I think it may be better to filter before sending to diff command,
         # possibly using Algorithm::Diff from CPAN.
@@ -575,14 +511,6 @@
 }
 
 # ======================
-=pod
-
----++ sub _ci (  $self, $file, $comment, $userName  )
-
-Not yet documented.
-
-=cut to implementation
-
 sub _ci
 {
     my( $self, $file, $comment, $userName ) = @_;
@@ -603,19 +531,20 @@
     $cmd =~ /(.*)/;
     $cmd = $1;       # safe, so untaint variable
     $rcsOutput = `$cmd`; # capture stderr  (S.Knutson)
+
     my $exit = $? >> 8;
-    _traceExec( $cmd, $rcsOutput );
+    #_traceExec( $cmd, $rcsOutput );
     if( $exit && $rcsOutput =~ /no lock set by/ ) {
           # Try and break lock, setting new one and doing ci again
           my $cmd = $self->{"breakLockCmd"};
           $cmd =~ s/%FILENAME%/$cmdQuote$file$cmdQuote/go;
           $cmd =~ /(.*)/;
           my $out = `$cmd`;
-          _traceExec( $cmd, $out );
+          #_traceExec( $cmd, $out );
           # Assume it worked, as not sure how to trap failure
           $rcsOutput = `$cmd`; # capture stderr  (S.Knutson)
           $exit = $? >> 8;
-          _traceExec( $cmd, $rcsOutput );
+          #_traceExec( $cmd, $rcsOutput );
           if( ! $exit ) {
               $rcsOutput = "";
           }
@@ -648,23 +577,23 @@
 
     my $file = $self->{file};
     if ( -e $file ) {
-       my $cmd= $self->{tagCmd};
-       $cmd =~ s/%REVISION%/$rev/;
-       $cmd =~ s/%FILENAME%/$cmdQuote$file$cmdQuote/;
-       $cmd =~ s/%TAG%/$tag/;
-	   $cmd = $cmd."  2>> $TWiki::warningFilename";
-       $cmd =~ /(.*)/; $cmd = $1;       # Untaint
-       my $rcsOut = `$cmd`;
-       my $exit = $? >> 8;
-       _traceExec( $cmd, $cmd, $exit );
+        my $cmd= $self->{tagCmd};
+        $cmd =~ s/%REVISION%/$rev/;
+        $cmd =~ s/%FILENAME%/$cmdQuote$file$cmdQuote/;
+        $cmd =~ s/%TAG%/$tag/;
+        $cmd = $cmd."  2>> $TWiki::warningFilename";
+        $cmd =~ /(.*)/; $cmd = $1;       # Untaint
+        my $rcsOut = `$cmd`;
+        my $exit = $? >> 8;
+        #_traceExec( $cmd, $cmd, $exit );
 		if( $exit && $rcsOut ) { # oops, stderr was not empty, return error
 			$rcsOut = "$cmd\n$$rcsOut";
 			TWiki:writeDebug("RCSWrap::setTopicRevisionTag error - $rcsOut");
-			return;
+			return 0;
 		}
    }
-	   
-	return 1;#success 
+
+	return 1;
 }
 
 1;
